
From: "Randy.Dunlap" <rddunlap@osdl.org>

Here's the next installment in moving syscall prototypes to
linux/syscalls.h and removing the ad hoc instances of them.

Built on ia32, ia64, and x86_64.

(patch archive is at:
  http://developer.osdl.org/rddunlap/syscalls/)

This is my last planned patch, but I'll be looking for syscalls that I've
missed.  I expect that there will be a few.



---

 25-akpm/arch/alpha/kernel/alpha_ksyms.c          |    1 +
 25-akpm/arch/sparc64/solaris/socksys.c           |    1 +
 25-akpm/drivers/media/dvb/frontends/alps_tdlb7.c |    1 +
 25-akpm/drivers/media/dvb/frontends/sp887x.c     |    1 +
 25-akpm/drivers/media/dvb/frontends/tda1004x.c   |    1 +
 25-akpm/fs/binfmt_elf.c                          |    1 +
 25-akpm/fs/binfmt_misc.c                         |    1 +
 25-akpm/fs/eventpoll.c                           |    1 +
 25-akpm/fs/exec.c                                |    1 +
 25-akpm/include/linux/fs.h                       |    3 ---
 25-akpm/include/linux/syscalls.h                 |    2 +-
 25-akpm/net/socket.c                             |    1 +
 25-akpm/security/selinux/hooks.c                 |    1 +
 13 files changed, 12 insertions(+), 4 deletions(-)

diff -puN arch/alpha/kernel/alpha_ksyms.c~add-syscalls_h-9 arch/alpha/kernel/alpha_ksyms.c
--- 25/arch/alpha/kernel/alpha_ksyms.c~add-syscalls_h-9	Fri Feb 13 16:51:42 2004
+++ 25-akpm/arch/alpha/kernel/alpha_ksyms.c	Fri Feb 13 16:51:42 2004
@@ -11,6 +11,7 @@
 #include <linux/user.h>
 #include <linux/elfcore.h>
 #include <linux/socket.h>
+#include <linux/syscalls.h>
 #include <linux/in.h>
 #include <linux/in6.h>
 #include <linux/pci.h>
diff -puN arch/sparc64/solaris/socksys.c~add-syscalls_h-9 arch/sparc64/solaris/socksys.c
--- 25/arch/sparc64/solaris/socksys.c~add-syscalls_h-9	Fri Feb 13 16:51:42 2004
+++ 25-akpm/arch/sparc64/solaris/socksys.c	Fri Feb 13 16:51:42 2004
@@ -24,6 +24,7 @@
 #include <linux/init.h>
 #include <linux/poll.h>
 #include <linux/slab.h>
+#include <linux/syscalls.h>
 #include <linux/in.h>
 #include <linux/devfs_fs_kernel.h>
 
diff -puN drivers/media/dvb/frontends/alps_tdlb7.c~add-syscalls_h-9 drivers/media/dvb/frontends/alps_tdlb7.c
--- 25/drivers/media/dvb/frontends/alps_tdlb7.c~add-syscalls_h-9	Fri Feb 13 16:51:42 2004
+++ 25-akpm/drivers/media/dvb/frontends/alps_tdlb7.c	Fri Feb 13 16:51:42 2004
@@ -35,6 +35,7 @@
 #include <linux/init.h>
 #include <linux/vmalloc.h>
 #include <linux/fs.h>
+#include <linux/syscalls.h>
 #include <linux/unistd.h>
 #include <linux/delay.h>
 
diff -puN drivers/media/dvb/frontends/sp887x.c~add-syscalls_h-9 drivers/media/dvb/frontends/sp887x.c
--- 25/drivers/media/dvb/frontends/sp887x.c~add-syscalls_h-9	Fri Feb 13 16:51:42 2004
+++ 25-akpm/drivers/media/dvb/frontends/sp887x.c	Fri Feb 13 16:51:42 2004
@@ -19,6 +19,7 @@
 #include <linux/init.h>
 #include <linux/string.h>
 #include <linux/slab.h>
+#include <linux/syscalls.h>
 #include <linux/fs.h>
 #include <linux/unistd.h>
 #include <linux/fcntl.h>
diff -puN drivers/media/dvb/frontends/tda1004x.c~add-syscalls_h-9 drivers/media/dvb/frontends/tda1004x.c
--- 25/drivers/media/dvb/frontends/tda1004x.c~add-syscalls_h-9	Fri Feb 13 16:51:42 2004
+++ 25-akpm/drivers/media/dvb/frontends/tda1004x.c	Fri Feb 13 16:51:42 2004
@@ -37,6 +37,7 @@
 #include <linux/init.h>
 #include <linux/string.h>
 #include <linux/slab.h>
+#include <linux/syscalls.h>
 #include <linux/fs.h>
 #include <linux/unistd.h>
 #include <linux/fcntl.h>
diff -puN fs/binfmt_elf.c~add-syscalls_h-9 fs/binfmt_elf.c
--- 25/fs/binfmt_elf.c~add-syscalls_h-9	Fri Feb 13 16:51:42 2004
+++ 25-akpm/fs/binfmt_elf.c	Fri Feb 13 16:51:42 2004
@@ -36,6 +36,7 @@
 #include <linux/highmem.h>
 #include <linux/pagemap.h>
 #include <linux/security.h>
+#include <linux/syscalls.h>
 
 #include <asm/uaccess.h>
 #include <asm/param.h>
diff -puN fs/binfmt_misc.c~add-syscalls_h-9 fs/binfmt_misc.c
--- 25/fs/binfmt_misc.c~add-syscalls_h-9	Fri Feb 13 16:51:42 2004
+++ 25-akpm/fs/binfmt_misc.c	Fri Feb 13 16:51:42 2004
@@ -26,6 +26,7 @@
 #include <linux/pagemap.h>
 #include <linux/namei.h>
 #include <linux/mount.h>
+#include <linux/syscalls.h>
 
 #include <asm/uaccess.h>
 
diff -puN fs/eventpoll.c~add-syscalls_h-9 fs/eventpoll.c
--- 25/fs/eventpoll.c~add-syscalls_h-9	Fri Feb 13 16:51:42 2004
+++ 25-akpm/fs/eventpoll.c	Fri Feb 13 16:51:42 2004
@@ -27,6 +27,7 @@
 #include <linux/list.h>
 #include <linux/hash.h>
 #include <linux/spinlock.h>
+#include <linux/syscalls.h>
 #include <linux/rwsem.h>
 #include <linux/wait.h>
 #include <linux/eventpoll.h>
diff -puN fs/exec.c~add-syscalls_h-9 fs/exec.c
--- 25/fs/exec.c~add-syscalls_h-9	Fri Feb 13 16:51:42 2004
+++ 25-akpm/fs/exec.c	Fri Feb 13 16:51:42 2004
@@ -44,6 +44,7 @@
 #include <linux/ptrace.h>
 #include <linux/mount.h>
 #include <linux/security.h>
+#include <linux/syscalls.h>
 #include <linux/rmap-locking.h>
 
 #include <asm/uaccess.h>
diff -puN include/linux/fs.h~add-syscalls_h-9 include/linux/fs.h
--- 25/include/linux/fs.h~add-syscalls_h-9	Fri Feb 13 16:51:42 2004
+++ 25-akpm/include/linux/fs.h	Fri Feb 13 16:51:42 2004
@@ -1123,10 +1123,7 @@ static inline int break_lease(struct ino
 
 /* fs/open.c */
 
-asmlinkage long sys_open(const char __user *, int, int);
-asmlinkage long sys_close(unsigned int);	/* yes, it's really unsigned */
 extern int do_truncate(struct dentry *, loff_t start);
-
 extern struct file *filp_open(const char *, int, int);
 extern struct file * dentry_open(struct dentry *, struct vfsmount *, int);
 extern int filp_close(struct file *, fl_owner_t id);
diff -puN include/linux/syscalls.h~add-syscalls_h-9 include/linux/syscalls.h
--- 25/include/linux/syscalls.h~add-syscalls_h-9	Fri Feb 13 16:51:42 2004
+++ 25-akpm/include/linux/syscalls.h	Fri Feb 13 16:51:42 2004
@@ -380,7 +380,7 @@ asmlinkage long sys_getdents64(unsigned 
 asmlinkage long sys_setsockopt(int fd, int level, int optname,
 				char *optval, int optlen);
 asmlinkage long sys_getsockopt(int fd, int level, int optname,
-				void *optval, int *optlen);
+				char __user *optval, int __user *optlen);
 asmlinkage long sys_bind(int, struct sockaddr *, int);
 asmlinkage long sys_connect(int, struct sockaddr *, int);
 asmlinkage long sys_accept(int, struct sockaddr *, int *);
diff -puN net/socket.c~add-syscalls_h-9 net/socket.c
--- 25/net/socket.c~add-syscalls_h-9	Fri Feb 13 16:51:42 2004
+++ 25-akpm/net/socket.c	Fri Feb 13 16:51:42 2004
@@ -78,6 +78,7 @@
 #include <linux/divert.h>
 #include <linux/mount.h>
 #include <linux/security.h>
+#include <linux/syscalls.h>
 #include <linux/compat.h>
 #include <linux/kmod.h>
 
diff -puN security/selinux/hooks.c~add-syscalls_h-9 security/selinux/hooks.c
--- 25/security/selinux/hooks.c~add-syscalls_h-9	Fri Feb 13 16:51:42 2004
+++ 25-akpm/security/selinux/hooks.c	Fri Feb 13 16:51:42 2004
@@ -34,6 +34,7 @@
 #include <linux/swap.h>
 #include <linux/smp_lock.h>
 #include <linux/spinlock.h>
+#include <linux/syscalls.h>
 #include <linux/file.h>
 #include <linux/namei.h>
 #include <linux/mount.h>

_
